/* This file is Copyright 2000 Level Control Systems.  See the included LICENSE.txt file for details. */  

#include <stdio.h>
#include <stdlib.h>
#include "reflector/ReflectServer.h"
#include "reflector/DumbReflectSession.h"
#include "reflector/StorageReflectSession.h"

#define TEST(x) if ((x) != B_NO_ERROR) printf("Command failed, line %i\n",__LINE__)

#define DEFAULT_MUSCLED_PORT 2960

void main(int argc, char ** argv) 
{
   int port = (argc > 1) ? atoi(argv[1]) : 0;
   ReflectServer server;
   TEST(server.ServerProcessLoop(StorageSessionCreationFunc, (port > 0) ? port : DEFAULT_MUSCLED_PORT));
   server.Cleanup();
}
